Package org.eclipse.emf.cdo.server.spi.security

## Class SecurityManagerFactory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.emf.cdo.server.spi.security.SecurityManagerFactory

- All Implemented Interfaces:
    `org.eclipse.net4j.util.factory.IFactory`
  Direct Known Subclasses:
    `SecurityManagerFactory.Annotation`, `SecurityManagerFactory.Default`

      public abstract class SecurityManagerFactory
      extends org.eclipse.net4j.util.factory.Factory

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `SecurityManagerFactory.Annotation` | Deprecated. As of 4.3 use `SecurityManagerFactory.Default` with a description like "realmPath:annotation".
    `static class` | `SecurityManagerFactory.Default` | If the meaning of this type isn't clear, there really should be more of a description here...

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SecurityManagerFactory​(java.lang.String type)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract ISecurityManager` | `create​(java.lang.String realmPath)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PRODUCT_GROUP

          public static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecurityManagerFactory

          public SecurityManagerFactory​(java.lang.String type)

  - ### Method Detail

    - #### create

          public abstract ISecurityManager create​(java.lang.String realmPath)
                                           throws org.eclipse.net4j.util.factory.ProductCreationException

      Throws:
        `org.eclipse.net4j.util.factory.ProductCreationException`